MicroScribe Utility Software (MUS) - Guide to the Interface and Features

Each feature is explained in depth in the following sections:

  • MUS System Menu
  • Format Strings
  • CADpad
  • Reference Frames
  • Auto Scan
  • Scan Planes
  • Configuration
  • Probe Options
  • MicroScribe Device Information
  • MUS Help
  • Message Area
  • Connection Indicator
  • XYZ Coordinates Display
  • Activate Auto Scan Toggle
  • Activate Scan Planes Toggle
  • Format Display
  • Probe Name Display

Other resources:

What is MUS?
 How to connect the MicroScribe Device to a computer
Using custom probes

Help:contactus@revware.net

More information: www.revware.net

©1992-2016 Revware, Inc. All rights reserved.

[Back to Main Help Menu]


About the MUS Help Feature

This feature provides assistance to users on MUS related issues.

For additional assistance, please use the information below to contact Revware.


Always on top

MicroScribe Utility Software v7.0

Always on Top Toggle

This feature provides visibility for the MicroScribe Utility Software (MUS) interface on your desktop. When checked, this option displays the MUS window on top of any other applications being used.

In previous versions of MUS this option was placed directly on the toolbar. With version 6.0 or later, the On Top checkbox is now placed on the Configuration options page. Click on the MicroScribe Configuration icon [image] to view all of the available configuration options.

Alternately, this feature may be used by clicking the small MUS icon in the upper left of the MUS toolbar, then choosing Always on Top.


XYZ Coordinates Display

This feature displays the XYZ coordinates of the MicroScribe probe. If a ball probe is being used, the coordinates reported are at the center of the ball. When connected, the indicator light shows green.

If a MicroScribe is not connected to MUS, the text MicroScribe not connected is displayed and the indicator light shows red.

Typically, the MicroScribe position line continuously updates while the connection is active. When Scan Plane mode is active, the position line is updated only when data capture is triggered by the probe crossing a defined scan plane.


MicroScribe Utility Software System Menu

MicroScribe Utility Software v7.0

MUS System Menu

Clicking the MUS icon in the program bar gives quick access to the On Top option, system tools, and information windows:

Move
Close
About MicroScribe Utility Software
MicroScribe Utility Software Welcome
Always on Top

Move: Click the small MUS icon in the program bar, then choose Move. A set of cross-hairs will come up. Click in the top program bar and drag the MUS window to a new position.

Close: Click the small MUS icon in the program bar, then choose Close. Alternately, the hot key combination of Alt+F4 will close the program, as will clicking on the 'X' button in the upper right corner of the toolbar.

About MicroScribe Utility Software: Click the small MUS icon in the program bar, then choose About MicroScribe Utility Software.... A dialog box will display important information about MicroScribe Utility Software, such as the version number.

Click OK to exit from the dialog box.

MicroScribe Utility Software Welcome: Click the small MUS icon in the program bar, then choose MicroScribe Utility Software Welcome.... The following window will appear:

The underlined links can be followed to learn more about MicroScribe Utility Software, the Interface Guide, and Troubleshooting.

By checking the option box, you prevent the welcome window from appearing each time MicroScribe Utility Software is started. Once checked, the only way to access this screen again is to click on the small MUS icon in the program bar, then choose MicroScribe Utility Software Welcome.....

Click OK to exit out of the dialog box.

Always on Top: Click the small MUS icon in the program bar, then choose Always on Top. This toggles the Always on Top option also available within the Configuration options.

This feature affects visibility for the MicroScribe Utility Software toolbar on your desktop. When checked, this option displays the MUS toolbar on top of any other applications being used.


How to use a custom tip

MicroScribe Utility Software v7.0

How to Use a Custom Probe

The Custom Probe feature can be found by clicking on the Probe Options icon [image].

How this feature is applied depends on which version of the MicroScribe hardware you are using:

MicroScribe MX and i Probes

MicroScribe G2 and 3D Probes

It is important to note that some third party software applications use custom probes defined in MUS. Check your software manual to verify this feature.

Also, Revware cannot guarantee device accuracy for all custom probes that can be used with MicroScribe. While the accuracy with a custom probe will likely be close, it may not be the same as the accuracy attained when using the Default Probe for any of the devices mentioned below.

Using Custom Probes
See: Defining a Custom Probe

Technical Support for Nonstandard Probes
Although Revware encourages you to customize your MicroScribe to be the most productive for your specific workflow, please take precautions when using probes other than those outlined in this section. Prior to fabricating your own probe please contact Revware Technical Support (contactus@revware.net ) to get additional specifications, including the thread size required for probes.


About the Auto Scan Feature

This feature allows users to capture data at defined intervals of distance or time. With Auto Scan enabled, there is no need to click the input device for each point that is desired. Data will stream from the MicroScribe at specified intervals, which is ideal for uniformly spacing points along a curve. In previous versions of MicroScribe Utility Software, this feature was called Auto Plot.

To view the options for this feature click on the Auto Scan icon [image] .

  • How to Collect Data at a Set Distance
  • How to Collect Data at a Set Time


Auto Scan - How to Collect Data at a Set Distance

  1. Click the Auto Scan icon [image]. The MicroScribe Utility Software Configuration dialog will appear with the Auto Scan tab displayed.
  2. Select the Distance radio button and in the associated text box enter a value for the distance you would like between each point that is captured. The units you have specified in the Configuration tab will be used for Auto Scan. Click OK.
  3. In the main MUS window check the Auto Scan check box [image].
  4. Hold down the trigger button of the hand switch or foot pedal and move the MicroScribe stylus over the object you are digitizing. A point will be taken each time the tip travels the distance specified. It is important to not move the stylus too quickly when collecting points or some may be missed.
  5. When done using Auto Scan, uncheck Auto Scan in the main MUS window [image].
  6. Follow the previous steps to set and use a different distance.
  • About the Auto Scan Feature
  • How to Collect Data at a Set Time


Auto Scan - How to Collect Data at a Set Time

  1. Click the Auto Scan icon [image]. The Auto Scan tab will appear.
  2. Select the Time radio button, and in the Time text box enter a value for the time you would like to elapse between each point that is captured. The amount of time should be specified in milliseconds.
  3. In the main MUS window check the Enable Auto Scan check box [image].
  4. Hold down the trigger button of the hand switch or foot pedal and move the MicroScribe stylus over the object you are digitizing. A point will be taken each time the interval that you set in the tab has passed. It is important to not move the stylus too quickly when collecting points or some may be missed.
  5. When done using Auto Scan, uncheck Enable Auto Scan in the main MUS window [image].
  6. Follow the previous steps to set and use a different time interval.
  • About the Auto Scan Feature
  • How to Collect Data at a Set Distance


About CADpad

This feature provides an alternative interface for users to drive third party software using the MicroScribe via a Grid of buttons or Mouse input.

The grid creates an area of input where the buttons on the hand switch (or foot pedal) cause the launch of macro-like keyboard events. These keyboard events are directed by the format string,and the output of the CADpad actions is limited to the program or file window associated with the selected (or user configured) format string. Selecting a CADpad preset template from the drop down list automatically selects the format string with the same name, if any.

The mouse emulation creates an area in which the stylus movement drives the mouse cursor, while the buttons on the hand switch or foot pedal behave as left and right mouse buttons; anything the mouse can do, the MicroScribe can emulate.
To view the options for this feature, click on the CADpad icon [image] . The CADpad tab will appear:

Grid: This section applies to the grid version of CADpad. The check box enables or disables this CADpad area.

Presets: none... Selecting any of the presets from this drop down list selects both the CADpad and the About Format Strings of the same name, if any.

Layout: This indicates the form of grid (rows and columns) of the CADpad grid preset selected.

Align: Bring up the alignment dialog for the associated CADpad (Grid or Mouse). The indicator to the right of the button is green if an existing measurement of alignment is already present.

Definition: Bring up the definition of the selected CADpad Grid preset, allowing printing.

Mouse: This section applies to the mouse emulation. The check box enables or disables this CADpad area.

WARNING: When using both the Grid and Mouse features of CADpad simultaneously, be sure to set the alignments of the separate work areas (coordinate planes) for the two functions, to prevent errors from overlap. In the case there is an overlap, the Grid takes precedence.

  • CADpad Licensing
  • CADpad Startup Dialog
  • How to Use the CADpad Grid Feature
  • How to Use the CADpad Mouse Feature


CADpad Licensing

In order to use CADpad, you must obtain a KeyCode from Revware, Inc. or your MicroScribe reseller.

The first time you open and attempt to use CADpad, you will receive the following message:

OK: Selecting this will resume normal MUS activity without unlocking the CADpad features.

Enter KeyCode: Selecting this will popup the entry dialog:

Paste your KeyCode into the edit box and click OK. If the KeyCode is invalid you will see the following:

Remove All KeyCodes: Clears all stored KeyCodes.

Your MicroScribe must be connected in order to use CADpad. If you receive the following error, please check to be sure your MicroScribe is connected and that the Home indicator is green.


CADpad Startup Dialog

If there is a defined and active CADpad alignment on MUS startup, the following dialog will appear to indicate the current user options:

OK: Uses the previously stored alignment data to create theCADpad.

Disable: Keeps the stored alignment data previously set, but leaves the CADpad Grid and Mouse inactive. To reactivate, select the CADpad and check the Grid and/or Mouse checkbox.

Clear: Clears all alignment information. To use CADpad, a new alignment must be set.


How to Use the CADpad Grid Feature

The first time you use the CADpad Grid feature, you must align your template area:

  1. Click on the Grid checkbox, then select Align.

  2. The Grid Alignment dialog will be displayed.
  3. Set the corner locations for your selected Grid template (1,2,3) by touching the corners of the desired CADpad area on your desk or other surface with MicroScribe stylus and clicking the trigger button at each location.

  4. When finished, click OK. You will return to the CADpad tab. The indicator to the right of the button will be green, showing that coordinate data for the CADpad is set. Click OK to accept the settings.

  5. Ensure that the active window is the target application/software package for format string selected.

  6. The next time you open MUS, the CADpad Startup Dialog will appear.


How to Use the CADpad Mouse Feature

The first time you use the CADpad Mouse feature, you must set the coordinates for your active mouse area:

  1. Click on the Mouse checkbox, then select Align.

  2. The Mouse Alignment dialog will be displayed.
  3. Set the corner locations for your Mouse pad (1,2,3) by touching the corners of the desired CADpad area on your desk or other surface with MicroScribe stylus and clicking the trigger button at each location. The area will auto scale the shortest leg of the alignment to match the fixed ratio of your desktop.

  4. When finished, click OK. You will return to the CADpad tab. The indicator to the right of the button will be green, showing that alignment data for the CADpad is set. Click OK to accept the settings.

  5. Ensure that the active window is the target application/software package for format string selected.

  6. The next time you open MUS, the CADpad Startup Dialog will appear.


How to connect the MicroScribe to a computer

MicroScribe Utility Software v7.0

How to Connect the MicroScribe Device to a Computer

MUS 7.0 connects to MicroScribe i, MX, G2 and 3D products automatically. MicroScribe MX products can connect via USB only. MicroScribe G2 products can connect via the serial or USB ports of the host machine. MicroScribe 3D products only connect via the serial port of the host machine.

If you see the main MUS window and the XYZ coordinates display update to reflect movement of the MicroScribe probe, your MicroScribe is connected. If the MicroScribe is not connected to MUS, MicroScribe not connected. will be displayed in the toolbar message area above the XYZ coordinates.

MicroScribe MX Products

MicroScribe i and G2 Products

MicroScribe 3D Products

MicroScribe MX Products

Before you can begin the measurement process, be sure to follow these steps:

  1. Turn Standby off on the host machine to avoid losing connection to the MicroScribe device. Standby is a power saving option that affects the provision of power to USB ports and other system components during periods of perceived inactivity. If connecting to a USB hub, ensure that it is a powered hub.
  2. Plug the end of the hand switch or foot pedal cable into the MicroScribe device's "Accessory" port.
  3. Plug the appropriate end of the USB cable into the MicroScribe device's port labeled "USB". The other end should go in a free USB port on your computer.
  4. Connect the power supply from the "Power" port on the back of the MicroScribe device to a wall outlet. MicroScribe MX series devices use a 9 volt/2.5A power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for some laptop computers and other devices have similarly configured power plugs and may provide higher voltages that will damage your MicroScribe MX device if inadvertently connected.
  5. Place the MicroScribe device in the home position (for more on this, see the MicroScribe MX hardware manual). Press the "Home" button on the back of the device.
  6. The MicroScribe device is ready to connect to MUS.
  7. If you are using a nonstandard probe, see the Custom Probe section for more information on start up procedures.
  8. The Device Status LED on the base will indicate why the MicroScribe device is not connecting to MUS:
    • OFF - Off: The MicroScribe device is not powered through USB or the external power supply.
    • RED (Flashing) - Powered: The MicroScribe device is not "homed" and not communicating with the PC.
    • RED - Not Homed: The MicroScribe device is communicating with the PC, but has not been "homed."
    • GREEN (Flashing) - Connection lost: The MicroScribe device has been "homed," but is not communicating with the PC.
    • GREEN - Normal operation: the device has been "homed" and is communicating with the PC.
    • RED or GREEN (Rapid Flashing) - Low battery or power: The voltage supply to the unit is low and should be replaced immediately

    If the LED is red or flashing red, press the "Home" button on the back of the MicroScribe device's base to home the device and prepare it for digitizing.

MicroScribe i and G2 Products

Before you can begin the digitizing process, be sure to follow these steps:

  1. Turn Standby off on the host machine to avoid losing connection to the MicroScribe device. Standby is a power saving option that affects the provision of power to USB ports and other system components during periods of perceived inactivity. If connecting to a USB hub, ensure that it is a powered hub. Do not use both the power supply and the a powered USB port unless otherwise instructed, as it can cause intermittent connection issue.
  2. Plug the end of the foot pedal or hand switch cable into the MicroScribe device's "Accessory" port.
  3. Plug the appropriate end of the USB cable into the MicroScribe device port labeled "USB". The other end should go in a free USB port on your computer. You can also connect a MicroScribe G2 device using a serial cable, similarly to a MicroScribe 3D device described below. Do not connect both USB and serial cables at the same time. If you do, the serial connection is ignored.
  4. MicroScribe G2 series devices accept power through a powered USB connection or external power supply. If using the external power supply, connect the power supply from the "Power" port on the back of the MicroScribe device to a wall outlet. MicroScribe G2 series devices use a 5 v/2A power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for external speakers often have similar sized power plugs and provide higher voltages that will damage your MicroScribe G2 device if inadvertently connected.
  5. The MicroScribe device is ready to connect to MUS.
  6. Place the MicroScribe device in the home position. Press the "Home" button on the back of the MicroScribe device. If using the World Frame in MUS, the angle of the arm when pressing the "Home" button is important. See the Using the World Frame section for more information.
  7. The Device Status LED on the base will indicate why the MicroScribe device is not connecting to MUS:
    • OFF - Off: The MicroScribe device is not powered through USB or the external power supply.
    • RED (Flashing) - Powered: The MicroScribe device is not "homed" and not communicating with the PC.
    • RED - Not Homed: The MicroScribe device is communicating with the PC, but has not been "homed."
    • GREEN (Flashing) - Connection lost: The MicroScribe device has been "homed," but is not communicating with the PC.
    • GREEN - Normal operation: the device has been "homed" and is communicating with the PC.

If the LED is red or flashing red, press the "Home" button on the back of the MicroScribe device's base to home the device and prepare it for digitizing.

MicroScribe 3D Products

The MicroScribe 3D device is essentially seen by a computer as a standard serial port device and communicates via the RS-232 protocol.

The MicroScribe 3D device should be connected to an available serial port. Beware of shared resource conflicts caused by other installed serial devices, such as internal modems, personal digital assistants, uninterrupted power supplies, and tablets. Although the device may not be physically connected to the serial port, accompanying software or device drivers still may be tying up the port. If possible, install the MicroScribe device onto a previously unused COM port. For more on this subject please see the Possible Cause of Communication Problems section of this guide.

The following must be connected to the back of your MicroScribe device before you can begin the digitizing process:

  1. Plug the end of the hand switch or foot pedal cable into the MicroScribe device's "Accessory" port.
  2. Plug the appropriate end of the serial cable into the MicroScribe device's port labeled "Serial". The other end should go in a free serial port on your machine.
  3. Connect the power supply from the "Power" port on the back of the MicroScribe device to a wall outlet. MicroScribe 3D series devices use a 5 v/2A power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for external speakers often have similar sized power plugs and provide higher voltages that will damage your MicroScribe 3D device if inadvertently connected.
  4. Place the MicroScribe device in the home position. Press the power switch on the back of the MicroScribe device into the "On" position. The MicroScribe 3D device is automatically homed. If using the World Frame in MUS, the angle of the arm when turning it on is important, see the Using the World Frame section for more information.
  5. The MicroScribe device is ready to connect to MUS.
  6. The Device Status LED on the base will indicate why the MicroScribe device is not connecting to MUS:
    • OFF - Off: The MicroScribe device is not powered through the external power supply or the device power switch is in the off position.
    • GREEN - The device has power and the automatic power-on homing procedure has been completed.

If the LED is off, flip the power switch into the "On" position to home the device and prepare it for digitizing.

  • The Possible Cause of Communication Problems
  • Serial Port Communications Issues
  • About COM Ports and IRQ's
  • How to Learn the Port Configuration of your PC
  • Solutions for Serial Port Communication Problems


The possible cause of communication problems

MicroScribe Utility Software v7.0

Possible Causes of Communication Problems

If you are unable to launch MUS successfully you will get the following screen:

There are a wide variety of reasons you may be receiving this error:

MicroScribe MX Products

MicroScribe G2 Products

MicroScribe 3D Products

MicroScribe MX products

  1. The MicroScribe is not powered on. Check to be sure the power supply is plugged firmly into a wall socket. The MicroScribe MX products cannot be powered from the USB cable alone. MicroScribe MX series devices use a 9 volt/2.5 amp power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for some laptop computers and other devices have similarly configured power plugs and may provide higher voltages that will damage your MicroScribe MX if inadvertently connected.
  2. Improperly connected USB cable Check that an appropriate USB cable is in use and is attached securely to both the computer and the MicroScribe, and that the MicroScribe is receiving power via the power supply.
  3. The MicroScribe system is already in use by another application. Make sure the MicroScribe system is disconnected inside of any other program that may use it. Try closing any program that could be using the MicroScribe device.
  4. The Device Status LED on the base will indicate why the MicroScribe is not connecting to MUS:
    • OFF - Off: The MicroScribe is not powered through the external power supply.
    • RED (Flashing) - Powered: The MicroScribe is not "homed" and not communicating with the PC.
    • RED - Not Homed: The MicroScribe is communicating with the PC but has not been "homed."
    • GREEN (Flashing) - Connection lost: The MicroScribe has been "homed," but is not communicating with the PC.
    • GREEN - Normal operation: the device has been "homed" and is communicating with the PC.
    • RED or GREEN (Rapid Flashing) - Low battery or power: The voltage supply to the unit is low and should be replaced immediately

MicroScribe G2 products

  1. The MicroScribe is not powered on. MicroScribe G2 series devices accept power through the USB connection or a separate external power supply. If you are using the external power supply, check to be sure it is plugged firmly into a wall socket. MicroScribe G2 series devices use a 5v/2A power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for external speakers often have similar sized power plugs and provide higher voltages that will damage your MicroScribe G2 if inadvertently connected. If using the USB connection only to power the MicroScribe, check to make sure that the computer has not entered a hibernation or power conservation mode that shuts off power to the USB port.
  2. The Device Status LED on the base will indicate why the MicroScribe is not connecting to MUS:
    • OFF - Off: The MicroScribe is not powered through the external power supply.
    • RED (Flashing) - Powered: The MicroScribe is not "homed" and not communicating with the PC.
    • RED - Not Homed: The MicroScribe is communicating with the PC but has not been "homed."
    • GREEN (Flashing) - Connection lost: The MicroScribe has been "homed," but is not communicating with the PC.
    • GREEN - Normal operation: the device has been "homed" and is communicating with the PC.
  3. Turn Standby off on the host machine to avoid losing connection to the MicroScribe. If you are using an un-powered USB hub, it may be necessary to connect the power supply in addition to the USB cable and input device (pedal or hand switch). If you are still unable to connect to MUS check the following:
    • The power supply is plugged firmly into a wall socket.
    • The MicroScribe is connected to a port on the back of the computer. Be sure the USB or serial cable running from the back of the MicroScribe is plugged into the appropriate port on your computer.
    • The MicroScribe is not currently being used by another program. Shut down the other application, then try starting MUS again.
    • The serial, USB or power cables have not become loosened. Check to be sure all the cables are plugged firmly into the appropriate ports.
    • The port you are using is available and not in use by another application or non-existent.

MicroScribe 3D Products

  1. The MicroScribe is not powered on. Check to be sure the power supply is plugged firmly into a wall socket and the device power switch is in the on position; make sure the green light on the base is illuminated. MicroScribe 3D series devices use a 5v/2A power supply. Before attaching a power supply, confirm that it is the correct one for your system. Power supplies for external speakers often have similar sized power plugs and provide higher voltages that willdamage your MicroScribe 3D if inadvertently connected.
  2. The Device Status LED on the base indicates if the device is powered:
    • OFF - Off: The MicroScribe is not powered through the external power supply or the device power switch is in the off position.
    • GREEN - The device has power and the automatic power-on homing procedure has been completed.
  3. The MicroScribe is not connected to a serial port on the back of the computer. Be sure the serial cable running from the back of the MicroScribe is plugged into the appropriate COM port on your computer.
  4. The MicroScribe is currently being used by another program. Shut down the other application, then try starting MUS again.
  5. The serial or power cables have become loosened. Check to be sure all the cables are plugged firmly into the appropriate ports.
  6. The serial port you are using is not available because it is in use by another application, there is an IRQ conflict with another port, or does not exist.
  • How to Connect the MicroScribe Device to a Computer
  • Serial Port Communications Issues
  • About COM Ports and IRQ's
  • How to Learn the Port Configuration of Your PC
  • Solutions for Serial Port Communication Problems


Serial Port Communication Issues

There are many reasons why a serial connection may not be obtained between your MicroScribe and PC. In your PC, there are subtle interactions between programs running in the background together, especially those accessing the communications ports. Communication between different computers, including the interaction between your MicroScribe and your PC, adds an additional demand on the system communications infrastructure. The following is intended for the inexperienced user.

In order to use a MicroScribe 3D or the serial portion of MicroScribe G2 digitizing products, you must have an available COM port attached to a serial connector on your PC. Most standard PC's come with COM port 1 (COM 1) ready to accept an external device. Before proceeding, please determine if you have any other external devices connected to your PC on COM port 1. These devices may include an external modem, a digitizing tablet, a personal digital assistant, a mouse, or others.

  • How to Connect the MicroScribe Device to a Computer
  • The Possible Cause of Communication Problems
  • About COM Ports and IRQ's
  • How to Learn the Port Configuration of Your PC
  • Solutions for Serial Port Communication Problems


About COM Ports and IRQ's

This section is provided as is for support of most systems. For the most current and correct information about your PC and OS you should contact the vendors that provided those systems. Many modern PCs will not have serial ports at all unless specifically added as an option.

PCs may have from one to four COM (serial) ports. If present, these ports are often associated with sockets on the back of the PC. COM ports are used to connect serial devices, such as a mouse, modems, PCMCIA sockets, uninterrupted power supplies and other computers to the PC. Older PCs often have one or two serial sockets on the back that are associated with COM ports. Often the 3rd (and 4th) COM port(s) is accessed from the operating system though one of the slots on the motherboard (if they exist on your system).

Devices such as modems may be installed internally, but they still make use of a COM port even though they are not physically connected to a serial socket on the outside of the PC. In these the PC redirects the COM port via the PC slot to the card. If the device uses a COM port that is normally associated with one of the sockets on the back of the PC, the port is taken away from socket and given to the device. The implications of this will be clear in a moment.

Each COM port gets the attention of the computer's processor by means of an Interrupt Request, called an IRQ. Think of these as "channels" by which the COM ports tell the processor that there is data waiting. There are only 15 IRQ's available to standard serial devices, and several are already dedicated internally. Because of this, COM ports 1 and 3 (if installed) share IRQ4, and COM ports 2 and 4 (if installed) share IRQ3. This usually means that if there is a serial device, such as the mouse, using COM1, and another using COM3, such as a modem, the two devices will experience an "IRQ conflict" which is likely to disable both. These conflicts must be resolved before the devices can be used successfully.

  • How to Connect the MicroScribe Device to a Computer
  • The Possible Cause of Communication Problems
  • Serial Port Communications Issues
  • How to Learn the Port Configuration of Your PC
  • Solutions for Serial Port Communication Problems


How to Learn the Port Configuration on Your PC

It is best to have the manual for your PC or the services of a system administrator to analyze your PC to determine how the USB ports and serial ports (if present) are configured. Often the vendor of the PC can advise on how the ports were set up before sale. Failing those things, experimentation is required.

USB Ports

Windows XP
From the Start menu, choose Settings, then Control Panel and double-click System. In the System Properties window, select Hardware and click on Device Manager. Under Universal Serial Bus controllers, double-click on any listed Ports or select Properties to view details about this port.

Windows Vista
From the Start menu, choose Control Panel and from the items presented choose Hardware and Sound. Under the selections for Devices and Printers click on Device Manager. Under Universal Serial Bus controllers, double-click on any listed Ports or select Properties to view details about this port.

Windows 7
From the Start menu, choose Control Panel. If the Control Panel display is set to Category, click on System and Security. In the window displayed select Device Manager located under System. Alternatively, if Control Panel is set to display large or small icons instead of Category view, select System and in the following window choose Device Manager in the upper left corner. Within Device Manager expand the entry for Universal Serial Bus controllers, double-click on any listed Ports or select Properties to view details about this port.

Windows 8.1
From Windows Explorer, click Computer tab then choose Open Control Panel. If the Control Panel display is set to Category, click on System and Security. In the window displayed select System then Device Manager from the side bar. Alternatively, if Control Panel is set to display large or small icons instead of Category view, select System and in the following window choose Device Manager in the upper left corner. Within Device Manager expand the entry for Universal Serial Bus controllers, double-click on any listed Ports or select Properties to view details about this port.

Windows 10
From Windows Explorer, click Computer tab then choose Manage. From the Computer Management screen, select Device Manager. Within Device Manager expand the entry for Universal Serial Bus controllers, double-click on any listed Ports or select Properties to view details about this port.

Serial Ports

Open the Device Manager window as above, per your OS. Under Ports (COM & LPT), double-click on any listed Ports or select Properties to view details about this port.

  • How to Connect the MicroScribe Device to a Computer
  • The Possible Cause of Communication Problems
  • Serial Port Communications Issues
  • About COM Ports and IRQ's
  • Solutions for Serial Port Communication Problems


What can be done about serial port communication problems?

MicroScribe Utility Software v7.0

Solutions for Serial Port Communication Problems

Serial Ports are Legacy
Revware recommends against using serial communication. This information is included for legacy purposes for those users with no other option.

To make a COM port available, you should disconnect any occasional-use external serial device, such as a modem, if you are using one. If you are using an external serial device, it is very easy to disconnect and reconnect your MicroScribe device.

Many users also employ an inexpensive switch box to switch between external serial devices connected to the PC.

Change the IRQ and COM Port of the Modem
If you are using a serial mouse or other device on COM1, move it to COM2 and move your modem, if you have one, to COM3 (consult your device manual for instructions on reconfiguring its connection to your PC). You may then be able to use COM1 for your connection between the MicroScribe 3D or G2 and your 3D digitizing/modeling software. You will need to turn off any device connected to COM3 while MicroScribe communications are in progress to avoid IRQ conflicts between COM1 and COM3, or COM2 and COM4 if yo connect your MicroScribe to COM2.

Some after-market processor upgrades for older systems leave the PC with only one COM port turned on. This is not true for current PC's. If you determine that this is the case, you can go into the PC's setup and turn on the second COM port if the PC is so equipped. Follow the instructions included with your hardware on performing this adjustment.

When in doubt, please consult your hardware documentation, PC vendor, or your Systems Administrator for additional information on configuring your communications ports.

Unplug the Network Connection
On systems which have a network connection attached to a COM port socket, you may be able to disable the network software and remove the connection in order to plug in the cable for your MicroScribe. Check with your network system administrator.

Add a Serial Port Card
You may be able to add an additional serial port card to your PC which contains one or two additional ports and sockets. Assign a unique IRQ value (less than 16) to the COM port on this board if possible. You will have to use a diagnostic program to determine what IRQ values are available.

A Note for Laptop Users
Most current laptops are no longer equipped with external COM ports. Though USB to serial converters are available, they are not support for MicroScribe serial communications. Older Laptops and portables with external docking stations are particularly susceptible to COM port configuration difficulties. Review your laptop's documentation carefully to determine what COM ports you have and what ports are available. If your laptop has an infrared (IR) port you may first need to disable the infrared port before enabling the COM port that you wish to use then rebooting. Some laptop owners have needed to lower the speed at which they connect to their laptop's COM port.

A Note on PCMCIA Slots
PCMCIA modems count as serial devices. If you are having serial port conflicts try unplugging your modem and rebooting your PC.

  • How to connect the MicroScribe to a Computer
  • The Possible Cause of Communication Problems
  • Serial Port Communications Issues
  • About COM Ports and IRQ's
  • How to Learn the Port Configuration of Your PC


How to use a custom tip

MicroScribe Utility Software v7.0

Probes From MX and i units

The current probe information can be found by clicking on the Probe Options icon [image].

MicroScribe MX and i Products

MicroScribe MX and i systems ship with two 3mm ruby ball probes, which are 20mm long. In addition, all modern MicroScribe systems come with a user Probe Calibration Fixture (similar to the image to the right), which is used to qualify some custom probes and verify the new linear offsets to send to the host application. This fixture is needed to take advantage of the "Custom Probe" option of this tab.

The ruby ball probes shipped with each system are considered the "Default Probe" for MicroScribe MX and i systems. Simply leave the Use Default Probe option selected when using them. (The master calibration probe is identified with a red ring or dot.)

However, nearly any M4 threaded probe can be used with MicroScribe MX or i systems, including those that are asymmetrical. You may need to use the Probe Calibration Fixture to qualify such probes for use with your software. For information on how to use custom probes see either the Using Probes with a Fixed Offset from the Default Probe or the Using a Custom Probe sections below.

Please note: Revware authorized resellers offer various probes sets designed for inspection and reverse engineering projects. To find a reseller near you visit the MicroScribe section of www.revware.net

Probe Calibration Fixture Accessory

Using Probes with a Fixed Offset from the Default Probe

You can define Offset probes only for standard axial probes. If you wish to use a probe that has a tip that is off the central Z axis (J probes or bent probes as examples) you must use the Custom Probe method.

If you know the Z offset of your probe from the Default Probe, follow these steps:

  1. On the MicroScribe device switch from the Default Probe to the new probe.
  2. In the Probe Options tab of MUS select the Use Fixed Offset from Default Probe option.

  3. In the accompanying text field enter the difference between the new probe length and the Default Probe in the measurement system (mm or inches) specified in the Configuration tab. The difference measurement should be made from the center of the ball of the Default Probe to the end of the new probe, or to the center of the ball if it has one.

    The Default Probe is 20 mm in length to the center of the ball. If the probe is longer than the Standard Point Probe, the difference should be entered as a negative. If it is shorter, the difference should be entered as a positive.
  4. Press the OK button at the bottom of the tab.
  5. If you plan to use a probe with such a large offset from the Default Probe that the MicroScribe cannot be placed in the Home Position, please follow the Using a Custom Probe section.


How to use a custom tip

MicroScribe Utility Software v7.0

Probes for G and 3D Units

The current probe information can be found by clicking on the Probe Options icon [image].

MicroScribe G2 and 3D Products

The Standard Probe shipped with all MicroScribe G2 and 3D systems and is considered the Default Probe, this could be the Point Probe or the 1/8" Ball Probe. When using this probe simply leave the Use Default Probe option checked in the Probe Options tab. When using the Extra Fine Probe, also from Revware, the Use Default Probe option should also be checked. See the following Powering on the MicroScribe section for information pertaining to the Extra Fine Probe.

Any probe other than the Default Probe is considered nonstandard, or custom. Custom probes fall into two categories - those that are simply a distance offset (longer or shorter, such as the ball probe mentioned below) than the Default Probe, and those that have variables other than length (such as asymmetry).

As shipped, MicroScribe 3D and G2 owners can only use custom probes that fall into the first category - a simple length variable. If you would like to use probes with additional variables you will need to purchase the Probe Calibration Fixture accessory from Revware in order to qualify them properly.

In addition to the calibration fixture mentioned above, Revware can supply three different types of probes to MicroScribe 3D and G2 users similar to the image below: Standard Point, Standard Ball, and Extra Fine. Any of these accessories can be ordered from a MicroScribe reseller, to find one near you visit the MicroScribe section of www.revware.net

Left to right: Standard Point, Standard Ball, Extra Fine probes.

See below for information on how to use custom probes with a fixed offset from the default probe.

Powering on the MicroScribe before using a Custom Probe
Whenever you wish to use a nonstandard probe with a MicroScribe G2 or 3D system, it is very important that the digitizer is powered on in the Home Position with the Standard Point Probe installed. For more on the Home Position see your MicroScribe hardware manual.

The Home position is important because it is used by the MicroScribe system as a reference for calculating and establishing an origin (0X, 0Y, 0Z) and reference coordinates in the three-dimensional workspace. A probe other than the standard will skew these calculations and result in inaccurate data. To learn more about the Home position see the hardware manual that accompanied your MicroScribe system.

If you plan on digitizing with an Extra Fine Probe, the MicroScribe still needs to be powered on in the Home position with the Standard Point Probe. However, the Use Default Probe can remain selected in the Probe Options tab.

After powering on the MicroScribe in the Home position, you may simply switch probes by unscrewing the probe in a counter-clockwise direction and screwing in the replacement .

Using Probes with a Fixed Offset from the Default Probe

If you're using the Standard Ball Probe mentioned above, or any other probe with a fixed offset from the Default Probe, follow these steps:

  1. For MicroScribe 3D models, power on the MicroScribe in the Home Position and with the Default Probe in place.

    For MicroScribe G2 models, press the Home button with the MicroScribe in the Home Position and with the Default Probe in place.
  2. Switch to the Standard Ball Probe or the other new probe with a fixed offset from the Default Probe.

  3. In the Probe Options tab of MUS, select the Use Fixed Offset from Default Probe option.
  4. In the accompanying text field, enter the difference between the new probe and the Default Probe in the measurement system specified in the Configuration tab.

    For G2 and 3D models, the Standard Ball Probe is 0.242 inches (6.147mm) shorter than the Standard Point Probe (this measurement is to the center of the ball). Enter this into the text field.

  5. If you are using a different fixed offset probe measure the exact difference between the Default Probe and your probe in inches. If you are using a ball probe, measure to the center of the ball. The result should be entered in the corresponding field of the Use Fixed Offset from Default Probe option in the Custom Probe tab. If the probe is longer than the Standard Point Probe, the difference should be entered as a negative. If it is shorter, the difference should be entered as a positive.
  6. Press the OK button at the bottom of the tab.
  7. Each time the MicroScribe is restarted (powered on or the "Home" button is pressed) the Default Probe must be in place. Failure to do so will result in transmission of inaccurate data by the system.


How to use a custom tip

MicroScribe Utility Software v7.0

How to Define a Custom Probe

The Custom Probe feature can be found by clicking on the Probe Options icon [image].

MUS can store up to four custom probe profiles per device at any one time, but probes cannot be "mixed and matched" between devices. All probe profiles are initialized to be equivalent to the default probe until overwritten explicitly by the user. The following steps will lead you through the process of defining a new custom probe.

  1. In the Probe Options tab of MUS select the Use Custom Probe option.

  2. From the drop down list select a custom probe name that you previously stored, or choose a probe profile to overwrite or redefine.

    In the second case make sure that the Redefine/Overwrite check box is also selected. This will display the five steps required to switch probes.

  3. If you are using a custom probe profile you have previously saved, place the MicroScribe in the Home Position with the custom probe installed, and click the Done button. For more information on the Home Position consult the MicroScribe hardware manual.
  4. If you are overwriting or redefining a probe enter the new probe name in the Step 1 text box. If you would like to keep the existing name don't change the contents of the Step 1 text box.
  5. Place the MicroScribe in the Home Position with the Default Probe in place. Click the Step 2 Done button.
  6. Switch to the custom probe and place the MicroScribe in the Home Position (For MX units this can be the default home position or the one mentioned in step #5 of the Using Probes with a Fixed Offset from the Default Probe section). Click the Step 3 Done button.
  7. Secure the Probe Calibration Fixture to a reachable area in the workspace so that it doesn't move when touched firmly. Place the custom probe in one of the three divots on the probe calibration fixture, which can accommodate 1 mm to 8 mm probe ends. Choose the divot that most closely matches the size of your probe.

    Keeping the probe in place in the divot, move the MicroScribe stylus around the probe to make a cone-like motion. While moving through this motion click the foot pedal or hand switch 20 times to collect 20 points. The Step 4 status bar will keep you updated on your progress.

    If the points are not accurate enough for the software, you will be asked to repeat Step 4. To do so, click the Restart Point Collection button to start over.

    If you slip from the Probe Calibration Fixture while collecting the 20 points, you can click the Restart Point Collection button to delete the previously captured points and input 20 new ones.
  8. After collecting the points from the Probe Calibration Fixture, click the Step 5 Save Custom Probe Definition button to save the new custom probe profile.

    The XYZ offsets between your custom probe and the Default Probe will be displayed at the bottom of the tab.
  9. Press the OK button at the bottom of the Probe Options tab.


About Format Strings

This feature formats the XYZ data from the MicroScribe properly so that the application you are using is able to accept it. The Target Format Display Field of the main MUS interface shows the format currently selected in the Format Strings tab.

The target format can be changed by clicking on the Format Strings icon [image]. The Format Strings tab will appear:

  • How to use a Format String
  • Adding a Format String
  • Deleting a Format String
  • Restoring a Format String
  • Writing Custom Format Strings
  • Sample Format Strings
  • Additional Help with Custom Format Strings


How to Use a Format String

  1. Click on the Format Strings icon [image]. The Format Strings tab will appear.

  2. The following are software packages for which default Format Strings are included in MUS:
    AutoCAD, Autodesk Inventor, AutoStudio, BobCAD, CADKEY, Excel, Notepad, Mastercam, SURFCAM, Unigraphics, SolidEdge, TopSolid, and Word*.

  3. Select the Format you need by clicking on the name of the Windows application you are using in the Select Format window.

  4. Click OK to use the selected string.

  5. Click in the Windows target application to make it active.

  6. Select a tool or feature in your target application that utilizes XYZ data.

  7. Place the cursor in an area of the target application that accepts the XYZ data, such as the command line.

  8. Click the foot pedal, hand switch to digitize a point.

    *AutoCAD and Autodesk Inventor are trademarks of Autodesk, Inc.; BobCAD is a trademark of BobCAD-CAM, CADKEY is a trademark of Kubotek; Excel, Notepad and Word are trademarks of Microsoft Corporation; Mastercam is a trademark of CNC Software, Inc.; SURFCAM is a trademark of Surfware, Inc.; Unigraphics and Solid Edge are trademarks of EDS; TopSolid is a trademark of Missler Software

  • About Format Strings
  • Adding a Format String
  • Deleting a Format String
  • Restoring a Format String
  • Writing a Format String
  • Sample Format Strings
  • Additional Help with Custom Format Strings


Adding a Format String

This feature allows users to add custom format strings for applications not currently listed in the Format Strings tab.

How to add a Format String: If you do not see the name of your application listed in the Select Format window you will need to add a custom format string. The steps below guide you through this process.

If you are unsure of what type of format string you need, consult the Writing Custom Format Strings section of this guide.

  1. Click on the Format Strings icon [image].

  2. Click the Add… button.

  3. Enter a name for the new Format String in the corresponding text field.

  4. The Copy from drop down list allows you to base the new format string on an existing one. You may select a Format String from the list by clicking on the downward arrow. Selecting the <blank Format String> option will not base the new Format String on an existing one.
  5. Click OK.

  6. The newly named format string will appear in the Select Format list.

  7. Changes to the Format String can be made by clicking in the Format String text box and typing.

  8. By indicating a Window Name, MUS will only send data to a window whose name contains that string (example: typing "pad" would allow data to be sent to Notepad or WordPad, but not to an Excel window). This acts as a filtering mechanism for MUS that ensures data will only be sent to the proper window. The window name may be added by clicking and typing in the corresponding text box. It may also be left blank. If you are unsure of what window name to enter, it is suggested you leave it blank.

  9. After you have typed in the Format String, click OK. MUS will verify that you would like to save the changes you have made.

  10. Click Yes to save the changes or No to cancel them.
  • About Format Strings
  • How to use a Format String
  • Deleting a Format String
  • Restoring a Format String
  • Writing a Format String
  • Sample Format Strings
  • Additional Help with Custom Format Strings


Deleting a Format String

This feature allows users to delete a format string from the Select Format window of the Format Strings tab.

How to Delete a Format String:

  1. Click on the Format Strings icon [image].

  2. Select the format you wish to delete by clicking it in the Select Format window.

  3. Click on the Delete button in the Format String tab.

  4. MUS will verify that you wish to delete the Format String.

  5. Clicking Yes deletes the selected Format String. If you choose No the operation will be canceled.
  • About Format Strings
  • How to use a Format String
  • Adding a Format String
  • Restoring a Format String
  • Writing a Format String
  • Sample Format Strings
  • Additional Help with Custom Format Strings


Restoring a Format String

This feature allows users to revert back to the preset Format Strings of MUS. Any custom Format Strings a user added are deleted and any Default Format Strings a user deleted are restored.

How to Restore Default Format Strings:

  1. Click on the Format Strings icon [image].

  2. Click on the Restore Defaults button of the Format Strings tab.

  3. MUS verifies that you wish to restore the defaults.

  4. Clicking Yes restores the default string definitions. If you choose No the operation is canceled.
  • About Format Strings
  • How to use a Format String
  • Adding a Format String
  • Deleting a Format String
  • Writing a Format String
  • Sample Format Strings
  • Additional Help with Custom Format Strings


Writing a Custom Format String

There may be times when it is necessary to write a custom Format String for use with MUS. If you do not see the name of the your application listed in the Select Format portion of the Format Strings tab you will most likely need to create a custom Format String.The following steps will guide you through this simple process.

Determining Information Needed to Write a Format String

  1. Figure out how the application you are using accepts 2D or 3D data.
    If you were to manually type in XYZ values at the command line or another appropriate area of the application, how do the values need to be formatted? The technical term for this is "delineation". There are four standard types of delineation in MUS - space, comma, tab, and enter.

    Consult the user guide for your software if you are not sure how to delineate your values. This determination is the key to successfully writing a format string.
  2. Determine additional keys needed before or after XYZ values are typed in.

    Some programs require an Enter or tab key to "send" values to the target application. Or, tab keys to correctly change focus between fields for entering XYZ values.
  3. Decide how many decimal points of precision you would like recorded.

    You have the option of specifying to MUS how many numbers past the decimal point you would like to record. Choosing two would mean that values such as 1.23 would be recorded. Choosing three means data would be formatted like this: 1.234.
  4. Decide if you want to have the stylus approach vector (IJK) included.

    With the release of MUS 6.0 you can also include the stylus approach vector, also referred to as IJK, to your format string. To do this, simply add three more value formats to the format string. See Sample Format Strings for an example.

How to Write a Custom Format String

After determining the above you will be ready to write your Custom Format String.

Anatomy of a Format String:

How data is formatted:

Spaces = spacebar key here
Commas = ,
Tabs = \t

Adding keys to the beginning or ending of the string:

Enter = \n
Enter on the numeric portion of the keyboard = \M
Tab = \t

Specifying how many decimal points:
One decimal point of precision = .1f
Two decimal points of precision = .2f
Three decimal points of precision = .3f
And so on…

See Format String Samples

  • About Format Strings
  • How to use a Format String
  • Adding a Format String
  • Restoring a Format String
  • Deleting a Format String
  • Sample Format Strings
  • Additional Help with Custom Format Strings


Sample Format Strings

Here are some sample Format Strings to use as reference when writing your own:

  • %.2f,%.2f,%.2f
    Enters XYZ values using 2 decimal points of precision and separates the values with commas.
  • %.3f,%.3f,%.3f
    Enters XYZ values using 3 decimal points of precision and separates the values with commas.
  • %.4f,%.4f,%.4f
    Enters XYZ values using 4 decimal points of precision and separates the values with commas.
  • %.4f %.4f %.4f \n
    Enters XYZ values using 4 decimal points of precision, separates the values with spaces, and sends a carriage return at the end of the string.
  • %.3f,%.3f
    Enters X and Y values (omits Z) using 3 decimal points of precision and separates the values with commas.
  • %.4f,%.4f,0.0
    Enters X and Y values (enter "0.0" for Z) using 4 decimal points of precision and separates the values with commas.
  • %.4f\t%.4f\t%.4f
     Enters XYZ values using 4 decimal points of precision and separates the values with tab characters.
  • %.4f\t%.4f\t%.4f\t\n
     Enters XYZ values using 4 decimal points of precision, separates the values with tab characters, and finishes with a final tab and a carriage return.
  • \t\t%.4f\t%.4f\t%.4f\t
    Enters 2 tab characters followed by XYZ values using 4 decimal points of precision. The values are separated with tab characters, and finish with a final tab. In this example, it should be assumed that the program, after accepting the point data, leaves the focus in a field other than the "X" field, requiring 2 tabs to get back to the "X" field. The final tab would be required to take the focus from the "Z" field to an "OK" or "Take Point" button.
  • %.4f\n%.4f\n%.4f\n
     Enters 4 decimal points of precision and separates values with a carriage return.

Here is a sample Format String that exports both tip position and stylus orientation values:

  • %.4f\t%.4f\t%.4f\t%.4f\t%.4f\t%.4f \n
    Enters XYZ position and the associated IJK stylus approach vector values using 4 decimal points of precision, separates the values with tab characters and finishes with a carriage return. This is the pattern used by the Excel +ijk default format string.
  • About Format Strings
  • How to use a Format String
  • Adding a Format String
  • Restoring a Format String
  • Writing a Format String
  • Deleting a Format String
  • Additional Help with Custom Format Strings


Additional Help with Custom Format Strings

If you are unsure of how to write a Format String for your application, please feel free to e-mail contactus@revware.net for additional help.

  • About Format Strings
  • How to use a Format String
  • Adding a Format String
  • Restoring a Format String
  • Writing a Format String
  • Deleting a Format String
  • Sample Format Strings


MicroScribe Configuration

MicroScribe Utility Software v7.0

About the MicroScribe Configuration

This feature allows users to configure general settings for the MicroScribe device that is activated through MUS.

Click on the MicroScribe Configuration icon to view the feature options [image]. The MicroScribe Configuration tab will appear.

The following settings can be adjusted in this tab:

  • Units: Metric (mm) or Standard (inches). Whether the MicroScribe is currently using metric or standard English units. Please Note: If you change between Metric and Standard modes, you must redefine all of your position-dependent preferences (Reference Frame, Scan Planes, and Auto Scan).

  • Scale: Use scaling factor. The scaling factor used. The default is 1.0, which will digitize the geometry in real size. A value less than 1.0 will make the geometry smaller. A value greater than 1.0 will make the geometry larger.
  • Display: Use comma as decimal. Designed for some versions of Windows adapted for languages other than English. When checked, this feature uses a comma as the decimal fraction instead of a dot or period.
  • Display: On Top. Toggle the display of the MUS toolbar on top of other windows.
  • Trigger Button: Button 1 or Button 2. Select which button or pedal is used to trigger data collection. Button 1 corresponds to the finger button on the hand switch and the right pedal on the foot switch. Button 2 corresponds to the thumb button on the hand switch and the left pedal on the foot switch.
  • Sound: Beep on plot. When this option is checked, MUS plays the default system beep sound each time a point is digitized. The sound played depends on your specific user configuration, and can be changed by updating your user preferences or directly editing the sound associated with Default Beep using the Sounds applet of the Control Panel.
  • Joint Data: This allows setup of the output of joint encoder counts for testing the MicroScribe device.


About the MicroScribe Information Feature

This feature allows users to view information about the MicroScribe device that is activated through MUS.

Click on the MicroScribe Info icon to view the feature options [image].

The MicroScribe Info tab will appear displaying the following information:

  • Identifies that the MicroScribe Connection is by a USB port or otherwise which COM port and at what baud rate.
  • The Product Name always identifies "MicroScribe" if a device is present.
  • The Model Name shows which model of MicroScribe device is currently in use.
  • Serial Number lists the serial number of the connected MicroScribe device.
  • The Device ID is a common abbreviated reference name for MicroScribe devices.
  • Update Time identifies the current update frequency, in milliseconds, set for the MicroScribe device.
  • Firmware Version lists the revision of the firmware loaded on the connected MicroScribe device.
  • Driver Version lists the version of the communication DLL (ArmDLL32 or ArmDLL64) being used for the connected MicroScribe device.
  • A link is provided to the Revware website.
  • Click the About button to see which version of MUS you are using.


About the Reference Frame Feature

This feature allows users to define the origin and direction of the X and Y-axes within the physical workspace.

Click on the Reference Frame icon [image]. The Reference Frame tab will be displayed.

By default the World Frame option will be selected. This means no custom Reference Frame is being used.

  • How to Define a Custom Reference Frame
  • Using the World Frame


How to Define a Custom Reference Frame

  1. Click the Define Reference Frame icon [image].
  2. Click the Custom option in the Reference Frame tab.
  3. Place the MicroScribe stylus where you would like the origin of your physical workspace to be. Click with the trigger button to define the origin. A green check mark will appear next to the Origin label.
  4. Place the MicroScribe stylus in the direction you would like the positive X-axis to be in relation to the origin. Click with the trigger button to define the X-axis direction. A green check mark will appear next to the X Direction label. If the green check mark does not appear and a red X is shown near the bottom, you must select a new position for the X Direction.
  5. Place the MicroScribe stylus in the direction you would like the positive Y-axis to be in relation to the origin. Click with the trigger button to define the Y-axis direction. A green check mark will appear next to the Y Direction label. If the green check mark does not appear and a red X is shown near the bottom, you must select a new position for the Y Direction.

  6. The green arrow near the bottom right will verify that you have defined a valid Reference Frame. If a red X appears, select the Origin button again and redefine the three points.
  7. Click OK to use the Custom Reference Frame just defined. Click Cancel to use the default World Frame.
  8. Once a Custom Reference Frame has been defined, MUS will use that Reference Frame as the default instead of World Frame. Users may redefine the Reference Frame at any time by following steps 1-7 above.

You can press the Reset button at any time to reset the Origin, X and Y values to the default orientation, which is the same as the World Frame.

  • About the Reference Frame Feature
  • Using the World Frame


Using the World Frame

MicroScribe systems have a default device reference frame, also known as the World Frame.

To use the World Frame option:

  1. Click on the Define Reference Frame icon [image].
  2. Click the World Frame option.
  3. Click OK.

The World Frame varies depending on the product used. To see how initial setup affects the World Frame of your MicroScribe unit please review the following sections:

MicroScribe MX and i Products

MicroScribe G2 and 3D Products

MicroScribe MX and i Products

See the MicroScribe models' hardware manual for more information on the home position. Unlike previous MicroScribe models, a specific base joint angle is required. When placed in the proper home position at the time the Home button is pressed, the World Frame coordinate system of the MicroScribe MX and i models is as follows:

  • The default origin is at the center of the base joint axis, at the rotational center of the tombstone, flush with the bottom of the base plate.
  • The X-axis runs perpendicularto the “tombstone”, with positive X extending straight out from the front of the tombstone.
  • The Y-axis runs parallel to the tombstone, with positive Y in the direction in which the counterweight points.

MicroScribe MX and i series World Coordinates.

MicroScribe G2 and 3D Products

Upon power-up of MicroScribe 3D models or pressing of the Home button after power-up of the MicroScribe G2 models, a default coordinate system is established.

  • The default origin is at the center of the base joint axis, at the rotational center of the tombstone, flush with the bottom of the base plate.
  • The X-axis runs parallel to the “tombstone”, with positive X in the direction in which the counterweight points.

  • The Y-axis runs perpendicular to the tombstone, with positive Y extending straight out from the front of the tombstone.

MicroScribe G2 and 3D series World Coordinates.

If desired, default X- and Y-axes may be varied by changing the orientation of the base joint before pressing the "Home" button (on MicroScribe G2 units) or powering-up the MicroScribe (on MicroScribe 3D units). It should be noted that exact base joint angles are difficult to replicate from session to session.

  • About the Reference Frame Feature
  • How to Define a Custom Reference Frame


About the Scan Planes Feature

The Scan Planes feature, an advanced feature, allows for the capture 2D cross sections of data. The user defines a series of virtual planes. Then, each time the MicroScribe stylus passes through one of the planes, data is collected:

A top view of data collected with Scan Planes.

Click on the Scan Planes icon [image].

This feature defines the first plane via three input points. Then, an axis is defined by a fourth point. The user can define the number of planes along the axis.

A minimum of two planes is required to use this option. If you need data on only one plane, define the stop point well past the area in which you are digitizing.

Helpful Tip: Start by collecting points before attempting to collect curves. Collecting points is generally easier - there is no need to worry about order or number. It is good to get an idea of how the feature works before trying to collect curves.

  • How to Set Up a Series of Scan Planes


How to Set Up a Series of Scan Planes

Click on the Scan Planes icon [image]. The Scan Planes tab will appear. A series of points will need to be entered to define the Scan Planes set. The following image is a suggested set-up configuration for these points. Points 1, 2, and 3 define the base plane of the series. The Stop Point defines the end of the axis extending from the base plane that the plane series runs along.

A suggested set-up for Scan Planes. The above set-up would yield these results:

Top view of points captured with Scan Planes.

Perspective view of points captured with Scan Planes.

Each time the MicroScribe probe intersects a plane, a point is taken. The resulting planar data can then be lofted into a clean surface.

To set-up a series of Scan Planes:

  1. Place the probe at the first point to define the first plane. Click the left foot pedal or hand switch button. A green check mark will appear next to the Point 1 label.
  2. Place the probe at the second point to define the first plane. Click the left foot pedal or hand switch button. A green check mark will appear next to the Point 2 label. If the green check mark does not appear and a red X is shown near the bottom, you must select a new position for Point 2.
  3. Place the probe at the third point to define the first plane. Click the left foot pedal or hand switch button. A green check mark will appear next to the Point 3 label. If the green check mark does not appear and a red X is shown near the bottom, you must select a new position for Point 3.
  4. Place the probe at a point that defines the Stop Point, or the end of an axis away from the first plane. A minimum of two planes is required to use this option. If you need data on only one plane, define the stop point well past the area you are in which you are digitizing. After taking the point, a green check mark will appear next to the Stop Point label. If the green check mark does not appear and a red X is shown near the bottom, you must select a new position for the Stop Point.
  5. In the Number of planes text field, enter the number of planes you would like evenly spaced along the axis just defined. A minimum of two planes is required.

  6. The green arrow near the bottom will indicate if you have defined a valid set of planes.
  7. If a red X is displayed after you have entered your points, you have not defined a valid set. MUS requires three non-collinear points to define a plane. The fourth point, or Stop Point, must be offset from that defined plane.
  8. You can press the Reset button at any time to reset the four points to a default value, which is the same as the World Frame, and the fourth point set to be one above the XY plane..
  9. To re-define the set, click with the mouse back in the Point 1 option. Enter the three points needed to make a plane and the Stop Point again. Look for the green arrow to indicate you have defined a valid set.
  10. Click OK.
  11. Click the Enable Scan Planes check mark in the main MUS window.
  12. Be sure the active window is the one that you wish to send data to. Activate a command that uses XYZ data if you are using a 3D application. Place the cursor in an area that accepts the XYZ data, such as the command line.
  13. Press the right foot pedal and hold it down. Move the probe in the area where the scan planes set has been defined. Data will be captured each time the MicroScribe tip passes through one of the planes.
  14. To turn off Scan Planes, uncheck the Enable Scan Planes toggle in the main MUS window.
  15. To use Scan Planes again, check the Enable Scan Planes toggle in the main MUS window. If you have already defined a set of Scan Planes, MUS will automatically use that set unless you define a new set.
  16. To define a new set of Scan Planes, follow the previous steps.
  • About the Scan Planes Feature


Target Format Display Window

Help:contactus@revware.net

More information: www.revware.net

©1992-2016 Revware, Inc. All rights reserved.

[Back to Main Help Menu]


MicroScribe Utility Software v7.0

Joint Data Output

This feature overrides Format Strings to output specific joint counts for diagnostics.


XYZ Coordinates Display

MicroScribe Utility Software v7.0

Message Display Area

Status messages are displayed in the area to the right of the of the help button.

There is no way to disable this feature.


What is MicroScribe Utility Software?

MicroScribe Utility Software (MUS) is a companion program for Revware MicroScribe Portable Measurement and Desktop Digitizing Systems. It allows the MicroScribe to be used for 2D or 3D data acquisition within programs that do not provide native support for this.The software also provides a means for basic testing of your computer's successful connection to the MicroScribe device and to assess that the device is working properly

MicroScribe Utility Software is a stand-alone utility that runs simultaneously with other Windows programs. This utility translates the XYZ position and stylus orientation of the MicroScribe device into alphanumeric text and records this information in compatible Windows (XP, Vista, 7) programs.

A variety of formats (e.g., comma delimited, tab delimited, significant digits, etc.) are specified from the Format Strings tab. If your application supports command line or dialog entry of 3D coordinates, this utility might already work or can be easily made to work with your application.